List family members
GET
/families/{familyID}/membersList all members of a family with their roles (owner, parent, guardian).
Auth:
BearerPath parameters
familyIDuuidrequired
Response
idUnique identifier for this resource.
uuid
family_idIdentifier of the family this resource belongs to.
uuid
user_idIdentifier of the user.
uuid
roleMember's role within the family.
owner | parent | guardian
joined_atRFC 3339 timestamp of when the member joined.
datetime
Request
bash
curl -sS "https://phosra-api-sandbox-production.up.railway.app/api/v1/families/f0000000-0000-4000-8000-0000000000f1/members" \
-H "Authorization: Bearer $PHOSRA_API_KEY"Response
json
[
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"family_id": "550e8400-e29b-41d4-a716-446655440000",
"user_id": "550e8400-e29b-41d4-a716-446655440000",
"role": "owner",
"joined_at": "2025-01-15T09:30:00Z"
}
]